"use strict";

exports.__esModule = true;
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; if (obj != null) { var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

var Visibility = function Visibility(_ref) {
  var hideIf = _ref.hideIf,
      showIf = _ref.showIf,
      unmount = _ref.unmount,
      children = _ref.children;

  if (unmount) {
    return hideIf === false || showIf === true ? _react.default.createElement(_react.Fragment, null, children) : null;
  } else {
    return hideIf === false || showIf === true ? _react.default.createElement(_react.Fragment, null, children) : _react.default.createElement("div", {
      style: {
        display: 'none'
      }
    }, children);
  }
};

var _default = Visibility;
exports.default = _default;